import { NextHandler, RequestChunk, ResponseChunk, Streamer } from "./streamer";
import fastJsonStringifier, { Schema } from "fast-json-stringify";
type SchemaStringifierConfiguration = Schema;
declare class SchemaStringifier extends Streamer {
    private readonly stringifier;
    constructor(configuration: SchemaStringifierConfiguration, stringifier?: typeof fastJsonStringifier);
    onRequest(chunk: RequestChunk, next: NextHandler): void;
    onResponse(chunk: ResponseChunk, next: NextHandler): void;
}
export { SchemaStringifierConfiguration, SchemaStringifier };
